1) One of the following:

a. FSX SP2

b. FSX Acceleration

c. FSX Gold

d. Prepar3D v1.4+, 2.5+, 3.4+, 4.0.28.21686+ (Hotfix 1), 4.1+, 4.2+, 4.3+, 4.4+, 4.5+

e. FSX Steam Edition

2) .NET Framework version 3.5 and 4.7.1+ with all updates applied (via Windows Update)

3) GoFlight Software Drivers (GF Config Setup 2.26.5 or above)

4) If using the PMDG NGX/77X/74X you need the very latest version. Older versions will not work

5) Windows Vista, 7, 8, or 10 (32/64 bit) with all Windows Updates applied

6) Visual Studio C++ 2013/15/17 runtimes (provided with the software)

Cookies make it easier for us to provide you with our services. With the usage of our services you permit us to use cookies.
More information Ok Decline